package pinball.menuevent;

import pinball.*;
import pinball.buffer.*; 
import pinball.part.*;
import pinball.server.*;
import pinball.player.*;

import java.awt.event.*;
import java.awt.*;

/**
 * Event for when the ball is to be launched.
 */
public class PinballBallLaunch implements ActionListener {
	
	/** Ball lauch. */
	private Button launch;
	
	/** 
	 * Get the launch button.
	 *
	 * @param launch launch button. 
	 */
	public PinballBallLaunch(Button launch) {
		this.launch=launch; 
	}
	
    	/**
    	 * Launch button is pressed. Ball is out of play. 
    	 */
    	public void actionPerformed(ActionEvent e) {
		launch();
	}
	
	/** Launch the ball. */
	public void launch() {
			GameOptions.launchBall(true);
    	}
}
