#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include <X11/cursorfont.h>
#include <X11/keysym.h>
#include <X11/extensions/XI.h>
#include <X11/extensions/XInput.h>

//#include "pinball_player_handmouse_HandMouseStrategy.h"

Display *display;
int screen_num;
char *name;
Window w=None;
XEvent buttonPress, buttonRelease, mouseMove;

long Wwidth, Wheight;	/* window size */


void find_window() {
	Window rW=None, cW=DefaultRootWindow(display), dW;
	int rx, ry, x1, y1,tl=0;
	unsigned int mask;

	do {
 		dW=cW;
		if (!XQueryPointer(display, dW, &rW, &cW, &rx, &ry, &x1, &y1, &mask)) {
			tl=20;
		}
		tl++;
	} while (cW && tl<20);

	w=dW;
}

void movePointer(long x,long y) {
	//XWarpPointer(display,None,DefaultRootWindow(display),0,0,0,0,x,y);
	
	
	find_window();
	mouseMove.xmotion.type= MotionNotify;
	mouseMove.xmotion.display=display;
	mouseMove.xmotion.window = w;
	mouseMove.xmotion.root = DefaultRootWindow(display);
	mouseMove.xmotion.subwindow = 0;
	mouseMove.xmotion.time = CurrentTime;
	mouseMove.xmotion.x = x;
	mouseMove.xmotion.y = y;
	mouseMove.xmotion.x_root = 0;
	mouseMove.xmotion.y_root = 0;
	mouseMove.xmotion.same_screen=1;
	mouseMove.xmotion.state=0;
	XSendEvent(display, w, False, 0, &mouseMove);
	printf("New Move");
	
    XFlush(display);

}


void click (long button){
	find_window();

	/* Press. */
	buttonPress.xbutton.type= ButtonPress;
	buttonPress.xbutton.display = display;
	buttonPress.xbutton.root = DefaultRootWindow(display);
	buttonPress.xbutton.subwindow=0;
	buttonPress.xbutton.x=0;
	buttonPress.xbutton.y=0;
	buttonPress.xbutton.x_root=0;
	buttonPress.xbutton.y_root=0;
	buttonPress.xbutton.time=CurrentTime;
	buttonPress.xbutton.state=0;
	buttonPress.xbutton.button=button;
	buttonPress.xbutton.same_screen=1;
	buttonPress.xbutton.window=w;
	buttonPress.xbutton.type = ButtonPress;
	XSendEvent(display, w, False, 0, &buttonPress);

	/* Release. */
	buttonRelease.xbutton.type= ButtonRelease;
	buttonRelease.xbutton.display = display;
	buttonRelease.xbutton.root = DefaultRootWindow(display);
	buttonRelease.xbutton.subwindow=0;
	buttonRelease.xbutton.x=0;
	buttonRelease.xbutton.y=0;
	buttonRelease.xbutton.x_root=0;
	buttonRelease.xbutton.y_root=0;
	buttonRelease.xbutton.button=button;
	buttonRelease.xbutton.same_screen=1;
	buttonRelease.xbutton.window=w;
	buttonRelease.xbutton.time=CurrentTime;
	buttonRelease.xbutton.state=(Button1Mask<<(button-1));
	buttonRelease.xbutton.type = ButtonRelease;
	XSendEvent(display, w, False, 0, &buttonRelease);

    XFlush(display);

}

long init() {
    display = XOpenDisplay(name);
    find_window();
    if (!display) {
	fprintf(stderr, "Unable to open display.");
	return -1;
    }
    
    	screen_num = DefaultScreen(display);
	Wwidth = DisplayWidth(display, screen_num);
	Wheight = DisplayHeight(display, screen_num);

    return 0;
}


long width() {
	return Wwidth;
}

long height() {
	return Wheight;
}

int main(int argc, char **argv) {

/*    if(init()!=0)
    	return -1;
    move_pointer(900,80);
   
    click(1);
   */   
    return 0;

}
