package pinball.part;

import pinball.io.*;

/**
 * A toy racing car on a race track. 
 */
public class Car {
	/** The controller. */
	private DataIO control;
	
	/** The relay from the system. */
	private int relay=5;
	
	/** Start up the controller for the car. */
	public Car() {
		control=new DataIO();
	}
	
	/** Turn it on. */
	public void on() {
		try{
		control.setOutputLine(relay);
		}
		catch(Exception e){}
	}
	
	/** Turn it off. */
	public void off() {
		try{control.resetOutputLine(relay);}
		catch(Exception e){}
	}
}
