package pinball.part;

import pinball.*;
import pinball.buffer.*; 
import pinball.server.*;
import pinball.player.*;

import java.io.*;

/** 
 * Used to insert coins into the system.
 */
public class Coin {
	/** Used to control the coin. */
	private transient FileOutputStream coin;
	
	/** Value for inseting a coin. */
	private final int INSERT = 8;

	/**
	 * Create a coin inset object.
	 */
	public Coin(){
		/* If playing from a file, don't make the coin. */
		if(GameOptions.play())
			return;

		/* Make coin. */
		//try {coin =  new FileOutputStream("/dev/labpcdio2");}
		//catch (IOException e){
		//	System.err.println("COIN ERROR "+e);
		//	System.exit(1);
		//}
		System.err.println("Coin Made.");
	}
	
	/**
	 * Inset a coin into the system.
	 */
	public void insertCoin() {
		if(GameOptions.running() && !GameOptions.play()) {
			try{	coin.write(INSERT);
				Thread.sleep(100);
				coin.write(0);
			}
			catch (Exception e){}
		}
	} 				

}
