package pinball.player.movitrobot;

import pinball.*;
import pinball.player.standard.*;

import java.awt.*;
import java.io.*;

/**
 * Starts up the program with the type of player that logs in.
 * This is the robot player.
 */
public class StartSystem extends JavaQcam {
	/**
	 * Starts the program.
	 *
	 * @param args The command line arguments given.
	 * @param player The player of the game.
	 * @param how How the player will player. Local, Client, or Server.
	 */
	public StartSystem(String[] args, StdPlayer player, String how) {
		super(args,player,how);
		
		System.err.println("*** Starting Robot System ***");
		/*

		this.player=player;
		Qcam=player.getCamera();
		GameOptions.setArgs(args);				
						
		begin(args,how);
		*/
	}

	/** Control the menu. */
	public void createMenu() {
		/* Make the display. */
		menu=new RobotMenu(Qcam,player,how);
	}
}	
		
