package pinball.player.pen;

import pinball.*;
import pinball.buffer.*; 
import pinball.part.*;
import pinball.server.*;
import pinball.player.*;
import pinball.player.standard.*;
import pinball.player.draw.*;

import java.awt.*;
import java.util.*;


/** 
 * The analyzed thread. Used to analyze the images from the camera.
 * If finds objects in the frame.
 */
public class PenAnalyze extends Analyze {
	/** 
	 * Make a new analyze thread.
	 *
	 * @param buffer The first buffer in the series of buffers. 
	 */
	public PenAnalyze (Buffer buffer) {
		super(buffer);
		System.err.println("PEN ANALYZE");
	}

	/**
	 * Setup the process image object
	 */
	protected void setupProcessImage() {
		/* Get the first image, used in compare to find a change. */
		process=new PenProcessImage(buffinfo.get(),buffinfo.width());
	}
	

}
