package pinball.player.standardV2;

import pinball.*;
import pinball.buffer.*; 
import pinball.part.*;
import pinball.server.*;
import pinball.player.*;
import pinball.player.standard.*;
import pinball.player.multipleblip.*;
import pinball.player.holdhotspot.*;


import java.awt.*;


/** The player never flips the flippers. */
public class StandardV2Strategy extends MultipleBlipStrategy {

	/** 
	 * The strategy thread for the player. 
	 *
 	 * @param buffer the first buffer in the series of buffers for the system.
	 * @param gameStats the area to write the game stats to.
  	 * @param camera the camera for the system.
	 */		
	public StandardV2Strategy(Buffer buffer, TextArea gameStats, Camera camera) {
		this.stub=new StandardV2Stub(buffer,gameStats,this,camera);
		id="std2";
	}
 				
	/** For extended classes. */		
	public StandardV2Strategy() {

	}				
}
