#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include <X11/cursorfont.h>
#include <X11/keysym.h>

#include "pinball_player_handmouse_HandMouseStrategy.h"

Display *display;
int screen_num;
char *name;
Window w=None;
XEvent event;

long Wwidth, Wheight;	/* window size */


void find_window() {
	Window rW=None, cW=DefaultRootWindow(display), dW;
	int rx, ry, x1, y1,tl=0;
	unsigned int mask;

	do {
 		dW=cW;
		if (!XQueryPointer(display, dW, &rW, &cW, &rx, &ry, &x1, &y1, &mask)) {
			tl=20;
		}
		tl++;
	} while (cW && tl<20);

	w=dW;
}

void pinball_player_handmouse_HandMouseStrategy_movePointer(struct Hpinball_player_handmouse_HandMouseStrategy *this,long x,long y) {
	XWarpPointer(display,None,DefaultRootWindow(display),0,0,0,0,x,y);
	
	
	/*find_window();
	event.xmotion.type= MotionNotify;
	event.xmotion.display=display;
	event.xmotion.window = w;
	event.xmotion.root = DefaultRootWindow(display);
	event.xmotion.subwindow = 0;
	event.xmotion.time = CurrentTime;
	event.xmotion.x = x;
	event.xmotion.y = y;
	event.xmotion.x_root = 0;
	event.xmotion.y_root = 0;
	event.xmotion.same_screen=1;
	event.xmotion.state=0;
	XSendEvent(display, w, False, 0, &event);
	*/
    XFlush(display);

}


void pinball_player_handmouse_HandMouseStrategy_click (struct Hpinball_player_handmouse_HandMouseStrategy *this,long button){
	find_window();

	/* Press. */
	event.xbutton.display = display;
	event.xbutton.root = DefaultRootWindow(display);
	event.xbutton.subwindow=0;
	event.xbutton.x=0;
	event.xbutton.y=0;
	event.xbutton.x_root=0;
	event.xbutton.y_root=0;
	event.xbutton.time=CurrentTime;
	event.xbutton.state=0;
	event.xbutton.button=button;
	event.xbutton.same_screen=1;
	event.xbutton.window=w;
	event.xbutton.type = ButtonPress;
	XSendEvent(display, w, True, 0, &event);

	/* Release. */
	event.xbutton.display = display;
	event.xbutton.root = DefaultRootWindow(display);
	event.xbutton.subwindow=0;
	event.xbutton.x=0;
	event.xbutton.y=0;
	event.xbutton.x_root=0;
	event.xbutton.y_root=0;
	event.xbutton.button=button;
	event.xbutton.same_screen=1;
	event.xbutton.window=w;
	event.xbutton.time=CurrentTime;
	event.xbutton.state=(Button1Mask<<(button-1));
	event.xbutton.type = ButtonRelease;
	XSendEvent(display, w, True, 0, &event);

    XFlush(display);

}

long pinball_player_handmouse_HandMouseStrategy_init(struct Hpinball_player_handmouse_HandMouseStrategy *this) {
    display = XOpenDisplay(name);
    find_window();
    if (!display) {
	fprintf(stderr, "Unable to open display.");
	return -1;
    }
    
    	screen_num = DefaultScreen(display);
	Wwidth = DisplayWidth(display, screen_num);
	Wheight = DisplayHeight(display, screen_num);

    return 0;
}


long pinball_player_handmouse_HandMouseStrategy_width(struct Hpinball_player_handmouse_HandMouseStrategy *this) {
	return Wwidth;
}

long pinball_player_handmouse_HandMouseStrategy_height(struct Hpinball_player_handmouse_HandMouseStrategy *this) {
	return Wheight;
}

int main(int argc, char **argv) {

/*    if(init()!=0)
    	return -1;
    move_pointer(900,80);
   
    click(1);
   */   
    return 0;

}
