package pinball.player.adjustable;

import pinball.*;
import pinball.buffer.*; 
import pinball.part.*;
import pinball.server.*;
import pinball.player.*;
import pinball.player.standard.*;
import pinball.player.remote.*;

import java.awt.*;


/**
 * Player which can have the flipper options adjusted and plays over the network. Presently does not work.
 */
public class AdjustableRemoteStrategy extends AdjustableStrategy {

	/** 
	 * The strategy thread for the player. 
	 *
 	 * @param buffer the first buffer in the series of buffers for the system.
	 * @param gameStats the area to write the game stats to.
	 */		
	public AdjustableRemoteStrategy(Buffer buffer, TextArea gameStats) {

		this.stub=new RemoteStub(buffer,gameStats,this);
		id="Adjustable";
		new RemoteExit((RemoteStub)stub);
	} 				 

}
